List Indexings
This method allows you to get information on all indexings of an index.
For each indexing, the returned information includes the status (if the indexing is queued, if it is actively running, or if it has completed) and other metadata.
knowledge_base_id
index_id
after
before
limit
offset
order
set_num_objects
name
Successful Response
{
"object": "string",
"has_more": false,
"num_objects": 0,
"data": [
{
"id": "string",
"state": "string",
"created_at": 0,
"knowledge_base_id": "string",
"index_id": "string",
"completed_at": 0
}
],
"first_id": "string",
"last_id": "string"
}
Object type, which is always list.
True, if the server may have more objects than returned in the response.
Total number of objects that match the request. Note that this field is populated only if requested by the user (see set_num_objects request parameter).
List of indexings.
ID of the first element in the list (if any)
ID of the last element in the list (if any)
Invalid knowledge base, index or indexing ID.
An invalid ID was passed for paginating results.
Validation Error
{
"detail": [
{
"loc": [
{}
],
"msg": "string",
"type": "string"
}
]
}
detail
curl -H 'Authorization: <value>' https://{api_host}/api/v1/control/knowledge-bases/{knowledge_base_id}/indexes/{index_id}/indexings